import request from "./../request.js";
/**
 * 请求接口封装
 * 
 * noAuth  false 是需要鉴权的  true 是不用鉴权的
 * 
 * 商家助手的接口封装
 * 
*/


//已发放劵列表
export function couponList(data)
{
  return request.post("Coupon/couponList",data,{ noAuth : true});
}


//开启/关闭优惠劵
export function closedCoupons(data)
{
  return request.post("Coupon/closedCoupons",data,{ noAuth : true});
}


//店铺产品
export function couponGoods(data)
{
  return request.post("Coupon/couponGoods",data,{ noAuth : true});
}

//添加修改优惠劵
export function addEditCoupons(data)
{
  return request.post("Coupon/addEditCoupons",data,{ noAuth : true});
}


//修改的时候 获取优惠券详情
export function couponsDetails(data)
{
  return request.post("Coupon/couponsDetails",data,{ noAuth : true});
}

//修改的时候 获取优惠券详情
export function deleteCoupons(data)
{
  return request.post("Coupon/deleteCoupons",data,{ noAuth : true});
}